from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Float, Boolean, File

Rnazcluster_Pl_V0_1_0 = CommandToolBuilder(tool="rnazCluster.pl", base_command=["rnazCluster.pl"], inputs=[ToolInput(tag="in_cut_off", input_type=Float(optional=True), prefix="--cutoff", doc=InputDocumentation(doc="Only consider hits with RNAz class probablility P>X\n(Default:0.5)")), ToolInput(tag="in_windows", input_type=Boolean(optional=True), prefix="--windows", doc=InputDocumentation(doc="Set these flags to print information for ``windows' and/or\n``loci' in the output. By default, both single windows and\ncombined loci are printed.")), ToolInput(tag="in_header", input_type=Boolean(optional=True), prefix="--header", doc=InputDocumentation(doc="Print a header explaining the fields of the output (see below\nfor a detailed description of the fields).")), ToolInput(tag="in_html", input_type=File(optional=True), prefix="--html", doc=InputDocumentation(doc="Generates HTML formatted output of the results in the\nsubdirectory 'results'. For this option to work you need to have\ninstalled ghostscript and a few programs from the ViennaRNA\npackage. More precisely you need the following executables in\nyour PATH: 'gs', 'RNAalifold', 'colorrna.pl', 'coloraln.pl'.\nAlternatively you can adjust the locations of these programs\ndirectly in the 'rnazCluster.pl' script. Please note that if you\nuse this option the program will get very slow because the\nfigures have to be generated. It is also important that you have\nrun RNAz with the '--show-gaps' option!")), ToolInput(tag="in_html_dir", input_type=Boolean(optional=True), prefix="--html-dir", doc=InputDocumentation(doc="Name of directory where HTML pages are stored. Default: results")), ToolInput(tag="in_man", input_type=Boolean(optional=True), prefix="--man", doc=InputDocumentation(doc="Prints a detailed manual page and exits."))], outputs=[ToolOutput(tag="out_html", output_type=File(optional=True), selector=InputSelector(input_to_select="in_html", type_hint=File()), doc=OutputDocumentation(doc="Generates HTML formatted output of the results in the\nsubdirectory 'results'. For this option to work you need to have\ninstalled ghostscript and a few programs from the ViennaRNA\npackage. More precisely you need the following executables in\nyour PATH: 'gs', 'RNAalifold', 'colorrna.pl', 'coloraln.pl'.\nAlternatively you can adjust the locations of these programs\ndirectly in the 'rnazCluster.pl' script. Please note that if you\nuse this option the program will get very slow because the\nfigures have to be generated. It is also important that you have\nrun RNAz with the '--show-gaps' option!"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Rnazcluster_Pl_V0_1_0().translate("wdl", allow_empty_container=True)

